import { API, DynamicPlatformPlugin, Logger, PlatformAccessory, PlatformConfig, Service, Characteristic } from 'homebridge';
import { CasambiAPI, CasambiNetworkSession } from './casambi';
/**
 * CasambiPlatform
 * This class is the main constructor for your plugin, this is where you should
 * parse the user config and discover/register accessories with Homebridge.
 */
export declare class CasambiPlatform implements DynamicPlatformPlugin {
    readonly log: Logger;
    readonly config: PlatformConfig;
    readonly api: API;
    readonly Service: typeof Service;
    readonly Characteristic: typeof Characteristic;
    readonly accessories: PlatformAccessory[];
    casambi: CasambiAPI;
    sessions: CasambiNetworkSession[];
    constructor(log: Logger, config: PlatformConfig, api: API);
    /**
     * This function is invoked when homebridge restores cached accessories from disk at startup.
     * It should be used to setup event handlers for characteristics and update respective values.
     */
    configureAccessory(accessory: PlatformAccessory): void;
    /**
     * Discover and register accessories.
     * Accessories must only be registered once, previously created accessories
     * must not be registered again to prevent "duplicate UUID" errors.
     */
    discoverDevices(config: PlatformConfig): Promise<void>;
    connect(): void;
    onConnectionOpen(): void;
    onConnectionClose(code: any, reason: any): void;
    onConnectionTimeout(): void;
    onNetworkUpdated(message: any): void;
}
//# sourceMappingURL=platform.d.ts.map